SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Static Public Member Functions | List of all members
SLNet::RakNetSocket2Allocator Class Reference

`#include <slikenet/socket2.h>`

## Static Public Member Functions

static RakNetSocket2 * | AllocRNS2 (void)
static void | DeallocRNS2 (RakNetSocket2 *s)

## Detailed Description

Definition at line 100 of file socket2.h.

## Member Function Documentation

RakNetSocket2 * RakNetSocket2Allocator::AllocRNS2 | ( | void |  | ) |

static

Definition at line 75 of file RakNetSocket2.cpp.

References _FILE_AND_LINE_, SLNet::RNS2T_CHROME, SLNet::RNS2T_LINUX, SLNet::RNS2T_WINDOWS, SLNet::RNS2T_WINDOWS_STORE_8, and SLNet::RakNetSocket2::SetSocketType().

Referenced by SLNet::IRNS2_Berkley::IsPortInUse(), and SLNet::RakPeer::Startup().

void RakNetSocket2Allocator::DeallocRNS2 | ( | RakNetSocket2 * | s | ) |

static

Definition at line 64 of file RakNetSocket2.cpp.

References _FILE_AND_LINE_, and SLNet::OP_DELETE().

Referenced by SLNet::IRNS2_Berkley::IsPortInUse(), and SLNet::RakPeer::Startup().

The documentation for this class was generated from the following files:

- Source/include/slikenet/socket2.h
- Source/src/RakNetSocket2.cpp